DS_ALLOC_VM_ARRAY(3)

EXPERIMENTAL_FUNC
ds_alloc_vm_array - Allocate storage for an array using ordinary virtual memory.

SYNOPSIS
#include <karma_ds.h>

flag ds_alloc_vm_array

(array_pointer *arrayp, CONST array_desc *arr_desc, flag clear, flag warn)

DESCRIPTION
Allocate storage for an array using ordinary virtual memory.

arrayp
    Information describing the shared memory region is written here.

arr_desc
    The array descriptor describing the array data. This is used to determine the amount of memory require to store the array.

clear
    If TRUE the array data is initialised to zero.

warn
    If TRUE, warning messages are displayed if there are any problems.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/